<div class="wrapper">
    <mat-toolbar color="primary" class="mat-elevation-z6 toolbar wrapper__header">
        <div class="toolbar__title">Praca magisterska - Platforma Angular</div>
        <div class="toolbar__fill-space"></div>
    </mat-toolbar>
    <div class="wrapper__actions">
        <button class="wrapper__actions--create" (click)="openDialogToCreateBook()" mat-button color="primary">
            Dodaj książkę
        </button>
        <button class="wrapper__actions--generate" (click)="generateBooks()" mat-button color="primary">
            Generuj {{generateCounter}} książek
        </button>
        <button *ngIf="!!books?.length" class="wrapper__actions--update-all" (click)="updateAllBooks()" mat-button
                color="primary">
            Aktualizuj wszystkie
        </button>
        <button *ngIf="!!books?.length" class="wrapper__actions--remove-all" (click)="removeAllBooks()" mat-button
                color="primary">
            Usuń wszystkie
        </button>
    </div>
    <ul class="wrapper__list">
        <li class="book-item" *ngFor="let book of books">
            <div class="book-item__description">
                <div class="left-side">
                    <span class="left-side__title"><i>{{book.title}}</i></span>
                    <span class="left-side__author">
                       <span>{{book.author.name}} {{book.author.surname}}, {{book.author.nationality}}</span>
                    </span>
                </div>
                <div class="right-side">
                    <span *ngIf="!!book.price" class="right-side__price">{{book.price}} zł</span>
                    <span *ngIf="!!book.price">,</span>
                    <span class="right-side__isbn">{{book.isbn}}</span>
                    <span>,</span>
                    <span class="right-side__publishing-house">{{book.publishingHouse}}</span>
                    <span>,</span>
                    <span class="right-side__releasing-date">{{book.releaseDate | date: 'dd.MM.yyyy'}} r.</span>
                </div>
            </div>
            <div class="book-item__actions">
                <i (click)="openDialogToUpdateBook(book)" matTooltip="Edytuj"
                   class="material-icons book-item__actions--edit">edit</i>
                <i (click)="removeBook(book._id)" matTooltip="Usuń" class="material-icons book-item__actions--delete">delete</i>
            </div>
        </li>
    </ul>
</div>

